Top Linux tools for writers
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDUCATION_pencils.png?itok=U2FwL2LA)
If you've read [my article about how I switched to Linux][1], then you know that I’m a superuser. I also stated that I’m not an “expert” on anything. That’s still fair to say. But I have learned many helpful things over the last several years, and I'd like to pass these tips along to other new Linux users.

Today, I’m going to discuss the tools I use when I write. I based my choices on three criteria:

  1. My main writing tool must be compatible for any publisher when I submit stories or articles.
  2. The software must be quick and simple to use.
  3. Free is good.



There are some wonderful all-in-one free solutions, such as:

However, I tend to get lost and lose my train of thought when I'm trying to find information, so I opted to go with multiple applications that suit my needs. Also, I don’t want to be reliant on the internet in case service goes down. I set these programs up on my monitor so I can see them all at once.

Consider the following tools suggestions—everyone works differently, and you might find some other app that better fits the way you work. These tools are current to this writing:

### Word processor

[LibreOffice 6.0.1][2]. Until recently, I used [WPS][3], but font-rendering problems (Times New Roman was always in bold format) nixed it. The newest version of LibreOffice adapts to Microsoft Office very nicely, and the fact that it's open source ticks the box for me.

### Thesaurus

[Artha][4] gives you synonyms, antonyms, derivatives, and more. It’s clean-looking and fast. Type the word "fast," for example, and you'll get the dictionary definition as well as the other options listed above. Artha is a huge gift to the open source community, and more people should try it as it seems to be one of those obscure little programs. If you’re using Linux, install this application now. You won’t regret it.

### Note-taking

[Zim][5] touts itself as a desktop wiki, but it’s also the easiest multi-level note-taking app you’ll find anywhere. There are other, prettier note-taking programs available, but Zim is exactly what I need to manage my characters, locations, plots, and sub-plots.

### Submission tracking

I once used a proprietary piece of software called [FileMaker Pro][6], and it spoiled me. There are plenty of database applications out there, but in my opinion the easiest one to use is [Glom][7]. It suits my needs graphically, letting me enter information in a form rather than a table. In Glom, you create the form you need so you can see relevant information instantly (for me, digging through a spreadsheet table to find information is like dragging my eyeballs over shards of glass). Although Glom no longer appears to be in development, it remains relevant.

### Research

I’ve begun using [StartPage.com][8] as my default search engine. Sure, [Google][9] can be one of your best friends when you're writing. But I don't like how Google tracks me every time I want to learn about a specific person/place/thing. So I use StartPage.com instead; it's fast and does not track your searches. I also use [DuckDuckGo.com][10] as an alternative to Google.

### Other tools

[Chromium Browser][11] is an open source version of [Google Chrome][12], with privacy plugins.

Though [Thunderbird][13], from [Mozilla][14], is a great program, I find [Geary][15] a much quicker and lighter email app. For more on open source email apps, read [Jason Baker][16]'s excellent article, [Top 6 open source desktop email clients][17].

As you might have noticed, my taste in apps tends to merge the best of Windows, MacOS, and the open source Linux alternatives mentioned here. I hope these suggestions help you discover helpful new ways to compose (thank you, Artha!) and track your written works.

Happy writing!

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/3/top-Linux-tools-for-writers

作者：[Adam Worth][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/adamworth
[1]:https://opensource.com/article/18/2/my-linux-story-Antergos
[2]:https://www.libreoffice.org/
[3]:http://wps-community.org/
[4]:https://sourceforge.net/projects/artha/
[5]:http://zim-wiki.org/
[6]:http://www.filemaker.com/
[7]:https://www.glom.org/
[8]:https://www.startpage.com/
[9]:https://www.google.com/
[10]:https://duckduckgo.com/
[11]:https://www.chromium.org/
[12]:https://www.google.com/chrome/
[13]:https://www.mozilla.org/en-US/thunderbird/
[14]:https://www.mozilla.org/en-US/
[15]:https://wiki.gnome.org/Apps/Geary
[16]:https://opensource.com/users/jason-baker
[17]:https://opensource.com/business/18/1/desktop-email-clients
